Package htsjdk.samtools.cram.compression.rans.ransnx16

# Class RANSNx16Encode

java.lang.Object
htsjdk.samtools.cram.compression.rans.RANSEncode<RANSNx16Params>
htsjdk.samtools.cram.compression.rans.ransnx16.RANSNx16Encode

public class RANSNx16Encode extends RANSEncode<RANSNx16Params>
Encoder for the CRAM 3.1 rANSNx16 codec with 16-bit state renormalization (as opposed to the rAns4x8 codec, which uses 8-bit state renormalization), and order-0 or order-1 context. Also supports bit-packing and run length encoding. Does not support striping for write (see the spec). This codec is also used internally by the read name NameTokenisation codec.

## Constructor Summary

Constructors
Constructor
Description
`RANSNx16Encode()`

## Method Summary

Modifier and Type
Method
Description
`ByteBuffer`
`compress(ByteBuffer inBuffer, RANSNx16Params ransNx16Params)`

### Methods inherited from class htsjdk.samtools.cram.compression.rans.RANSEncode

`buildSymsOrder0, buildSymsOrder1, getEncodingSymbols, initializeRANSEncoder`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RANSNx16Encode

public RANSNx16Encode()

## Method Details

### compress

public ByteBuffer compress(ByteBuffer inBuffer, RANSNx16Params ransNx16Params)

Specified by:
  `compress` in class `RANSEncode<RANSNx16Params>`